Bug 245672 - mail/sympa: update to 6.2.54 - security fix
Summary: mail/sympa: update to 6.2.54 - security fix
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords: patch, security
Depends on: 246701
Blocks:
  Show dependency treegraph
 
Reported: 2020-04-16 15:41 UTC by geoffroy desvernay
Modified: 2020-05-27 16:23 UTC (History)
2 users (show)

See Also:
dgeo: maintainer-feedback+
dgeo: merge-quarterly?


Attachments
svn diff mail/sympa to 6.2.54 (2.58 KB, patch)
2020-04-16 15:41 UTC, geoffroy desvernay
no flags Details | Diff
svn diff security/vuxml (1.39 KB, patch)
2020-05-22 09:17 UTC, geoffroy desvernay
no flags Details | Diff
svn diff mail/sympa to 6.2.56 (3.53 KB, patch)
2020-05-27 05:45 UTC, geoffroy desvernay
dgeo: maintainer-approval+
Details | Diff
svn diff security/vuxml (2.71 KB, patch)
2020-05-27 05:47 UTC, geoffroy desvernay
no flags Details | Diff
svn diff mail/sympa to 6.2.56 (3.53 KB, patch)
2020-05-27 05:49 UTC, geoffroy desvernay
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description geoffroy desvernay 2020-04-16 15:41:25 UTC
Created attachment 213466 [details]
svn diff mail/sympa to 6.2.54

security update and small fixes, see https://github.com/sympa-community/sympa/blob/6.2.54/NEWS.md

security fix has CVE-2020-9369

Patch is poudriere-tested and production-tested too.
Comment 1 Automation User 2020-04-16 16:28:44 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/136777681
Comment 2 Kurt Jaeger freebsd_committer 2020-04-17 18:23:33 UTC
testbuild@work
Comment 3 commit-hook freebsd_committer 2020-04-17 18:45:45 UTC
A commit references this bug:

Author: pi
Date: Fri Apr 17 18:45:40 UTC 2020
New revision: 531958
URL: https://svnweb.freebsd.org/changeset/ports/531958

Log:
  mail/sympa: update 6.5.2 -> 6.2.54 with security fix

  PR:		245672
  Submitted by:	geoffroy desvernay <dgeo@centrale-marseille.fr> (maintainer)
  MFH:		2020Q2
  Relnotes:	https://github.com/sympa-community/sympa/blob/6.2.54/NEWS.md
  Security:	CVE-2020-9369

Changes:
  head/mail/sympa/Makefile
  head/mail/sympa/distinfo
  head/mail/sympa/pkg-plist
Comment 4 Kurt Jaeger freebsd_committer 2020-04-17 18:46:47 UTC
TODO: vuxml ?
Comment 5 commit-hook freebsd_committer 2020-04-17 19:23:53 UTC
A commit references this bug:

Author: pi
Date: Fri Apr 17 19:22:56 UTC 2020
New revision: 531966
URL: https://svnweb.freebsd.org/changeset/ports/531966

Log:
  MFH: r531958

  mail/sympa: update 6.5.2 -> 6.2.54 with security fix

  PR:		245672
  Submitted by:	geoffroy desvernay <dgeo@centrale-marseille.fr> (maintainer)
  Relnotes:	https://github.com/sympa-community/sympa/blob/6.2.54/NEWS.md
  Security:	CVE-2020-9369
  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2020Q2/
  branches/2020Q2/mail/sympa/Makefile
  branches/2020Q2/mail/sympa/distinfo
  branches/2020Q2/mail/sympa/pkg-plist
Comment 6 geoffroy desvernay 2020-05-22 09:17:33 UTC
Created attachment 214753 [details]
svn diff security/vuxml

Here is the vuxml entry (hope that's correct)

Thank you !
Comment 7 geoffroy desvernay 2020-05-27 05:43:07 UTC
vuxml included in #246701 (next security update, to be commited)
Comment 8 geoffroy desvernay 2020-05-27 05:45:27 UTC
Created attachment 214898 [details]
svn diff mail/sympa to 6.2.56
Comment 9 geoffroy desvernay 2020-05-27 05:47:00 UTC
Created attachment 214899 [details]
svn diff security/vuxml

setting new patches here to trigger test
Comment 10 geoffroy desvernay 2020-05-27 05:49:09 UTC
Created attachment 214900 [details]
svn diff mail/sympa to 6.2.56
Comment 11 Kurt Jaeger freebsd_committer 2020-05-27 05:58:35 UTC
see PR#246701